import { UmbMemberSearchRepository } from './member-search.repository.js';
import { UmbControllerBase } from '../../../../libs/class-api/index.js';
export class UmbMemberSearchProvider extends UmbControllerBase {
    #repository = new UmbMemberSearchRepository(this);
    async search(args) {
        return this.#repository.search(args);
    }
    destroy() {
        this.#repository.destroy();
    }
}
export { UmbMemberSearchProvider as api };
